﻿
@{
    ViewBag.Title = "Index";
}

<p style="text-align:center">
    <center>
        <h1>How to implement Ajax Jquery Live Search functionality</h1>
        <h3>Using jQuery</h3>
    </center>
</p>
<hr />
<div class="row">
    @Html.Label("Find by Name: ")
    @Html.TextBox("txtSearch",null, new { @class="form-control"})
</div>
<br />
<table class="table table-bordered table-striped">
    <thead>
        <tr class="success">
            <td>Id</td>
            <td>Name</td>
            <td>Designation</td>
            <td>Department</td>
            <td>Joining Date</td>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in ViewBag.result)
        {
        <tr>
            <td>@item.EmpID</td>
            <td>@item.EmpName</td>
            <td>@item.Designation</td>
            <td>@item.Departament</td>
            <td>@item.JoiningDate</td>
        </tr>
        }
    </tbody>
</table>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

<script>
    $("#txtSearch").on("keyup", function () {
        var txt = $(this).val();
        alert(txt);
        $("table tr").each(function (results) {
            if (results !== 0) {
                var id = $(this).find("td:nth-child(2)").text();
                alert("Texto de la celda - " + id);
                if (id.indexOf(txt) !== 0 && id.toLowerCase().indexOf(txt.toLowerCase()) < 0)
                {
                    alert(id + " NO CONTIENE " + txt + " POR LO QUE " + id.indexOf(txt));
                    alert(id + " NO CONTIENE " + txt.toLowerCase() + " POR LO QUE " + id.indexOf(txt.toLowerCase()));
                    $(this).hide();
                }
                else
                {
                    alert(txt + " ESTA EN LA POSICION: " + id.indexOf(txt) + " DE " + id);
                    $(this).show();
                }
            }
        });
    });
</script>

